# Class Element

Namespace
  adas_core.Domain.Models.Masters

Assembly
  adas-core.Domain.dll

Represents a generic element within the system, serving as a foundational type that can be extended or composed to model domain-specific entities or structures.

    public class Element

Inheritance
  object
  Element

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### IsList

    public bool IsList { get; set; }

#### Property Value

bool

### IsRequired

    public bool IsRequired { get; set; }

#### Property Value

bool

### ListName

    public string ListName { get; set; }

#### Property Value

string

### Title

    public string Title { get; set; }

#### Property Value

string